﻿<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h2 class="m-0 font-weight-bold">Cadastrar Alocação</h2>
            </div>
            <div class="card-body">

                <div class="row">
                    <div class="form-group col-sm-3">
                        <label class="control-label">Consultor:</label>
                        <div id="DivValidaConsultor">
                            <select class="form-control" id="ConsultorId" multiple="multiple" name="ConsultorId">
                                @if (ViewBag.ListaConsultores != null)
                                    foreach (var item in ViewBag.ListaConsultores)
                                    {
                                        if (item.Selecionado == true)
                                        {
                                            <option value="@item.Id" selected="selected"> @item.Nome</option>
                                        }
                                        else
                                        {
                                            <option value="@item.Id"> @item.Nome</option>
                                        }
                                    }
                            </select>
                        </div>
                        <span id="spanMensagemErroConsultor" style="display:none" class="text-danger">Selecione pelo menos um Consultor</span>
                    </div>
                    <div class="form-group col-sm-3">
                        <label class="control-label">Empresa:</label>
                        <div id="DivValidaEmpresa">
                            @Html.DropDownList("EmpresaId", (SelectList)ViewBag.Empresas, "Selecione", new { @class = "form-control", required = "required" })
                        </div>
                        <span id="spanMensagemErroEmpresa" style="display:none" class="text-danger">O campo Empresa é Obrigatório</span>
                    </div>

                    <div class="form-group col-sm-3">
                        <label class="control-label">Centro de Custo:</label>
                        <div id="DivValidaCentroCusto">
                            <select class="form-control" id="CentroCustoNovoId" multiple="multiple" name="CentroCustoNovoId">
                                @if (ViewBag.CentroCusto != null)
                                {
                                    foreach (var item in ViewBag.CentroCusto)
                                    {
                                        <option value="@item.Value"> @item.Text</option>
                                    }
                                }
                            </select>
                          
                        </div>
                        <span id="spanMensagemErroCentroCusto" style="display:none" class="text-danger">Selecione um Centro de Custo</span>
                    </div>
                </div>

                <div class="row">
                    <div class="form-group col-sm-3">
                        <label class="font-weight-bold">Período</label><br />
                        @Html.CheckBox("Periodo1", new { @class = "reserva" }) <label class=" espaco font-weight-bold">Período 1</label>&nbsp;&nbsp;&nbsp;&nbsp;
                        @Html.CheckBox("Periodo2", new { @class = "reserva" }) <label class=" espaco font-weight-bold">Período 2</label>
                    </div>


                    <div class="form-group form-check-inline col-sm-2">
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <div>
                            <label class="font-weight-bold">Reserva</label><br />
                            @Html.CheckBox("Reserva", new { @class = "reserva espaco" })
                        </div>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <div>
                            <label class="font-weight-bold">Feriado</label><br />
                            @Html.CheckBox("Feriado", new { @class = "reserva espaco" })
                        </div>
                    </div>

                    <div class="form-group col-sm-1">

                    </div>
                    <div class="feriado form-group form-check-inline col-sm-2">
                      
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">Todos</label><br />
                            @Html.CheckBox("Todos", new { @class = " espaco" })
                        </div>
                       
                        <div class="espacoDiaSemanaSegunda">
                            <label class="font-weight-bold">seg</label><br />
                            @Html.CheckBox("Segunda", new { @class = "diaSemana espaco" })
                        </div>
                       
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">ter</label><br />
                            @Html.CheckBox("Terca", new { @class = "diaSemana espaco" })
                        </div>
                       
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">qua</label><br />
                            @Html.CheckBox("Quarta", new { @class = "diaSemana espaco" })
                        </div>
                        
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">qui</label><br />
                            @Html.CheckBox("Quinta", new { @class = " diaSemana espaco" })
                        </div>
                       
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">sex</label><br />
                            @Html.CheckBox("Sexta", new { @class = " diaSemana espaco" })
                        </div>
                      
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">sáb</label><br />
                            @Html.CheckBox("Sabado", new { @class = " espaco" })
                        </div>
                        
                        <div class="espacoDiaSemana">
                            <label class="font-weight-bold">dom</label><br />
                            @Html.CheckBox("Domingo", new { @class = " espaco" })
                        </div>
                    </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label class="control-label">Data Inicio :</label>
                            <div id="DivValidaDataInicio">
                                <input id="DataIniciotexto" name="DataIniciotexto" class="form-control" autocomplete="off" placeholder="Digite a Data de Inicio..." />
                            </div>
                            <span id="spanMensagemErroDataInicio" style="display:none" class="text-danger">O campo Data de Inicio é Obrigatório</span>
                        </div>

                        <div class="form-group col-sm-3 feriado">
                            <label class="control-label">Data final :</label>
                            <div id="DivValidaDataFinal">
                                <input id="DataFimtexto" name="DataFimtexto" class="form-control" autocomplete="off" placeholder="Digite a Data de Data Fim..." />
                            </div>
                            <span id="spanMensagemErroataFim" style="display:none" class="text-danger">O campo Data Final é Obrigatório</span>
                        </div>

                        @*<div class="form-group col-sm-3">
                            <label class="font-weight-bold">Deseja Incluir Fim de Semana ?</label><br />
                            @Html.CheckBox("FimDeSemana", new { @class = "reserva espaco" })
                        </div>*@
                    </div>

                    <div id="DivValidacao" style="display:none" class=" text-danger">
                    </div>
                    <br />

                    <div class="row">
                        <div class="form-group col-sm-3">
                            <button class="btn btn-primary" id="btnSalvarAlocacao">Salvar</button>
                            <a asp-action="Index" class="btn btn-danger">Voltar</a>
                        </div>
                    </div>
                </div>

            <div class="modal modal-backdrop" id="idloading">
                <div class="modal-dialog modal-dialog-centered modal-sm">
                    <div class="modal-content">
                        <div class="modal-body bg-white">
                            <div class="text-center bg-white">
                                <span class="text-danger"><strong>Processando.............</strong></span>
                                <div class="spinner-border text-danger" role="status">
                                    <span class="sr-only">Loading.........</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {
    <script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/GestaoAgenda.js")"></script>
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}


